Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STScripting protocol documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

### Contents -

1. Software documentation for the NSObject(STScripting) category
2. Software documentation for the STScripting protocol

# Software documentation for the NSObject(STScripting) category

## NSObject(STScripting)

> Declared in:
>   StepTalk/STScripting.h

> Conforms to:
>   STScripting

Description forthcoming.

# Software documentation for the STScripting protocol

## STScripting

> Declared in:
>   StepTalk/STScripting.h

Description forthcoming.

### Method summary

- +classForScripting
- +className
- +isClass
- -classForScripting
- -className
- -isClass

### classForScripting

+ (Class) classForScripting;
Description forthcoming.

### className

+ (NSString*) className;
Description forthcoming.

### isClass

+ (BOOL) isClass;
Description forthcoming.

### classForScripting

- (Class) classForScripting;
Description forthcoming.

### className

- (NSString*) className;
Description forthcoming.

### isClass

- (BOOL) isClass;
Description forthcoming.

Up